import QtQuick 2.13
import QtQuick.Window 2.13

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    Background {
        id: background
        anchors.fill: parent

        Receiver {
            id: receiver
            x: 344
            y: 140
            anchors.verticalCenter: parent.verticalCenter
            elementText: "Receiver"
            displayColor: "#ff0000"
            anchors.right: parent.right
            anchors.rightMargin: 50
        }

        Sender {
            id: sender
            y: 140
            elementText: "Sender"
            anchors.verticalCenter: parent.verticalCenter
            displayColor: "#0000ff"
            anchors.left: parent.left
            anchors.leftMargin: 50
            target: receiver
        }
    }
}

/*##^##
Designer {
    D{i:3;anchors_x:92}D{i:1;anchors_x:163;anchors_y:152}
}
##^##*/
