import QtQuick 2.4

Item {
    width: 200
    height: 200
    property alias displayColor: display.color
    property alias elementText: element.text

    Rectangle {
        id: display
        color: "#881919"
        radius: width * 0.5
        anchors.fill: parent

        Text {
            id: element
            x: 8
            y: 78
            width: 221
            height: 35
            color: "#e7dcdc"
            text: qsTr("Text")
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
            font.family: "Arial"
            anchors.verticalCenter: parent.verticalCenter
            font.pixelSize: 30
        }
    }
}

/*##^##
Designer {
    D{i:1;anchors_height:200;anchors_width:200;anchors_x:31;anchors_y:38}
}
##^##*/
